package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.text.Convert;
import com.ruoyi.system.domain.DanganFile;
import com.ruoyi.system.mapper.DanganFileMapper;
import com.ruoyi.system.service.IDanganFileService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 档案文件Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-10-25
 */
@Service
public class DanganFileServiceImpl implements IDanganFileService
{
    @Autowired
    private DanganFileMapper danganFileMapper;

    /**
     * 查询档案文件
     * 
     * @param fileId 档案文件ID
     * @return 档案文件
     */
    @Override
    public DanganFile selectDanganFileById(Long fileId)
    {
        return danganFileMapper.selectDanganFileById(fileId);
    }

    /**
     * 查询档案文件列表
     * 
     * @param danganFile 档案文件
     * @return 档案文件
     */
    @Override
    public List<DanganFile> selectDanganFileList(DanganFile danganFile)
    {
        return danganFileMapper.selectDanganFileList(danganFile);
    }

    /**
     * 新增档案文件
     * 
     * @param danganFile 档案文件
     * @return 结果
     */
    @Override
    public int insertDanganFile(DanganFile danganFile)
    {
        return danganFileMapper.insertDanganFile(danganFile);
    }

    /**
     * 修改档案文件
     * 
     * @param danganFile 档案文件
     * @return 结果
     */
    @Override
    public int updateDanganFile(DanganFile danganFile)
    {
        return danganFileMapper.updateDanganFile(danganFile);
    }

    /**
     * 删除档案文件对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteDanganFileByIds(String ids)
    {
        return danganFileMapper.deleteDanganFileByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除档案文件信息
     * 
     * @param fileId 档案文件ID
     * @return 结果
     */
    @Override
    public int deleteDanganFileById(Long fileId)
    {
        return danganFileMapper.deleteDanganFileById(fileId);
    }
}
